For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList tools
      • POSTCreate tool
      • GETList built-in tools
      • GETList compatible built-in tools
      • GETGet built-in tool schema
      • POSTConvert flow to tool
      • POSTDeploy Runtype Sandbox
      • DELCleanup Runtype Sandbox
      • POSTDeploy Daytona sandbox
      • DELCleanup Daytona sandbox
      • GETGet tool schemas
      • GETGet tool details
      • PUTUpdate tool
      • DELDelete tool
      • POSTExecute tool
      • POSTTest tool
Dashboard
LogoLogo
Runtype APITools

Delete tool

DELETE
/v1/tools/:id
DELETE
/v1/tools/:id
$curl -X DELETE https://api.runtype.com/v1/tools/id \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "deletedId": "a1b2c3d4e5f678901234567890abcdef",
3 "success": true
4}
Delete a tool by ID.
Was this page helpful?
Previous

Execute tool

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Response

Tool deleted
deletedIdstring
successboolean

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error